import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.Statement;

public class ConnectionTest {

	public static void main(String[] args) {
		try{
			//JDBCドライバークラスを指定する
			String drivername = "com.mysql.jdbc.Driver";

			//データベースを指定する
			String url = "jdbc:mysql://localhost:3306/books?characterEncoding=utf8";

			//ユーザー名を指定する
			String username = "root";

			//パスワードを指定する
			String password = "";

			//指定したドライバークラスを読み込む
			Class.forName(drivername);

			//データベースに接続する
			Connection con = DriverManager.getConnection(url, username, password);

			//自動コミットをオフにする
			con.setAutoCommit(false);

			//追加する情報を入力する
			BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
			System.out.println("登録するユーザー情報を入力してください。");
			System.out.print("ID：");
			int id = Integer.parseInt(br.readLine());
			System.out.print("ユーザー名：");
			String uname = br.readLine();
			System.out.print("パスワード：");
			String passwd = br.readLine();
			System.out.print("氏名：");
			String name = br.readLine();

			//入力した情報をもとにSQL文を作成する
			String sql = "INSERT INTO Users VALUES(" + id + ", '" + uname + "', '" + passwd + "', '" + name + "')";

			//Statementオブジェクトを取得する
			Statement st = con.createStatement();

			//SQL文を実行する
			int ret = st.executeUpdate(sql);

			//変更のあった行数を表示する
			System.out.println("変更のあった件数：" + ret);

			//確定か取り消しを入力
			System.out.print("1)確定 2)取り消し(デフォルト)：");
			String input = br.readLine();

			switch(input){
			case "1":
				//確定
				con.commit();
				System.out.println("確定しました。");
				break;
			default:
				con.rollback();
				System.out.println("取り消しました。");
				break;
			}

			//データベースを切断する
			con.close();
		}catch(Exception e){
			//例外の状態を出力する
			e.printStackTrace();
		}
	}

}
